#!/usr/bin/perl
# Show the current status of remote SSH login grants

require './virtualmin-support-lib.pl';
&ui_print_header(undef, $text{'login_title'}, "");

@keys = &get_virtualmin_ssh_keys();
$atjob = &get_disable_login_job();
if (@keys) {
	# Login is allowed, perhaps up to some date. Offer to turn off now.
	print &ui_form_start("disable_login.cgi");

	if ($atjob) {
		print &text('login_disabledesc2',
			    &make_date($atjob->{'date'})),"<p>\n";
		}
	else {
		print &text('login_disabledesc'),"<p>\n";
		}

	print &ui_form_end([ [ undef, $text{'login_disable'} ] ]);
	}
else {
	# Login is not allowed. Offer to setup, expiry by default in 3 days
	print &text('login_enabledesc', $config{'user'} || 'root'),"<p>\n";
	print &ui_form_start("enable_login.cgi");
	print &ui_table_start(undef, undef, 2);

	# Expiry date
	@tm = localtime(time() + 3*24*60*60);
	print &ui_table_row($text{'login_end'},
		&ui_radio("end_def", 0, [ [ 1, $text{'login_never'}."<br>" ],
					  [ 0, $text{'login_date'} ] ])."\n".
		&ui_date_input($tm[3], $tm[4]+1, $tm[5]+1900,
			       "day", "month", "year"));

	# Create Webmin login?
	print &ui_table_row(" ",
		&ui_checkbox("webmin", 1,
		    &text('login_webmin', "<tt>$login_webmin_user</tt>"), 1));


	# Additional comments
	print &ui_table_row($text{'login_comments'},
		&ui_textarea("comments", undef, 5, 70));

	# Bug number
	print &ui_table_row($text{'login_bug'},
		&ui_opt_textbox("bug", undef, 6, $text{'login_nobug'}, "#"));

	print &ui_table_end();
	print &ui_form_end([ [ undef, $text{'login_enable'} ] ]);
	}

&ui_print_footer("", $text{'index_return'});

