#!/usr/bin/perl
# Show a form for submitting a support ticket, with OS details

require './virtualmin-support-lib.pl';
&ui_print_header(undef, $text{'ticket_title'}, "");
$hasvirt = &foreign_check("virtual-server");

# Account details section
@tds = ( "width=30%" );
print &ui_form_start("send_ticket.cgi", "post");
print &ui_table_start($text{'ticket_header1'}, "width=100%", 2, \@tds);

# Virtualmin.com login details, which we can perhaps get automatically
($ok, $user, $email) = &get_virtualmin_username();
if ($ok) {
	# Worked out login automatically
	print &ui_table_row($text{'ticket_user'}, "<tt>$user</tt>");
	print &ui_table_row($text{'ticket_email'}, "<tt>$email</tt>");
	}
else {
	# Prompt for login and password
	print &ui_table_row($text{'ticket_user'},
		&ui_textbox("user", $config{'ticket_user'}, 40));

	print &ui_table_row($text{'ticket_pass'},
		&ui_password("pass", $config{'ticket_pass'}, 20)."<br>\n".
		&ui_checkbox("remember", 1, $text{'ticket_remember'}, 1));
	}

# OS info
print &ui_table_row($text{'ticket_os'},
	&ui_textbox("os", $gconfig{'real_os_type'}, 20).
	" ".$text{'ticket_ver'}." ".
	&ui_textbox("ver", $gconfig{'real_os_version'}, 8));

print &ui_table_end();

# Issue subject and description
print &ui_table_start($text{'ticket_header2'}, "width=100%", 2, \@tds);

print &ui_table_row($text{'ticket_subject'},
	&ui_textbox("subject", undef, 70));

print &ui_table_row($text{'ticket_body'},
	&ui_textarea("body", undef, 20, 70, undef, undef, 
                " placeholder=\"$text{ticket_body_placeholder}\"")."<br>".
	($hasvirt ?
	  &ui_checkbox("validation", 1, $text{'ticket_validation'}, 1)."<br>".
	  &ui_checkbox("details", 1, $text{'ticket_details'}, 1) :
	  ""));

print &ui_table_row($text{'ticket_private'},
	&ui_yesno_radio("private", 1));

print &ui_table_end();
print &ui_form_end([ [ undef, $text{'ticket_submit'} ] ]);

&ui_print_footer("", $text{'index_return'});


